/** @file lines.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef LINESWINDOW_H
#define LINESWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QCheckBox;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;

class lineswindow : public QDialog
{ 
    Q_OBJECT

public:
    lineswindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~lineswindow();
    QString getOutput();

    QLabel* lineslabel;
    QCheckBox* scalebox;
    QLabel* columnslabel;
    QLineEdit* col4;
    QLineEdit* col3;
    QLineEdit* col2;
    QLineEdit* col1;
    QLabel* col1label;
    QLabel* col2label;
    QLabel* col3label;
    QLabel* col4label;
    QLineEdit* scale;
    QLabel* scalelabel;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
    QFrame* Line7;
    QLabel* iterationflaglabel;
    QLineEdit* iterationflagline;
private slots:
      //void activateFields();
    void activateScaleFields();
    void checkValues();
};

#endif // LINESWINDOW_H
